GTK+ Reference Manual
<<< Previous Page | Home | Up | Next Page >>>

# GtkInvisible

## Name

GtkInvisible -- internally-used widget which is not displayed.

## Synopsis

    #include <gtk/gtk.h>

    struct      GtkInvisible;
    GtkWidget*  gtk_invisible_new               (void);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkWidget
                   +----GtkInvisible

## Description

The GtkInvisible widget is used internally in GTK+, and is probably not useful for application developers.

It is used for reliable pointer grabs and selection handling in the code for drag-and-drop.

## Details

### struct GtkInvisible

    struct GtkInvisible;

The GtkInvisible struct contains no public fields.

### gtk_invisible_new ()

    GtkWidget*  gtk_invisible_new               (void);

Creates a new GtkInvisible.

Returns : | a new GtkInvisible.

<<< Previous Page | Home | Up | Next Page >>>
GtkDialog | GtkMessageDialog